﻿<template>
  <div class="task-counter-block">
    <p class="task-counter-text default-medium-text-bold">
      {{ label }}
    </p>
  </div>
</template>

<script>
export default {
  name: "TaskCounter",
  data() {
    return {
      isMobile: false
    };
  },
  computed: {
    count() {
      return this.$store.getters["tasks/doneCount"];
    },
    label() {
      return !this.isMobile ? "Completed tasks: " + this.count : this.count;
    }
  },
  created() {
    window.addEventListener("resize", this.handleResize);
    this.handleResize();
  },
  destroyed() {
    window.removeEventListener("resize", this.handleResize);
  },
  methods: {
    handleResize() {
      this.isMobile = window.innerWidth <= 960;
    }
  }
};
</script>

<style lang="sass">
@import "../../scss/colors"
@import "../../scss/variables.sass"
@import "../../scss/media_mixin.sass"

.task-counter-block
  background: $peach
  width: 212px
  height: 48px
  box-shadow: $baseShadow
  border-radius: 13px 0 0 13px
  position: absolute

  @include media_960
    width: 71px

  .task-counter-text
    text-align: center
    position: absolute
    top: 13px
    left: 24px
</style>
